!> \file massb-Ice2sea_fixe.f90
!!  Calcule le mass balance en mode perturbation
!!  avec la temperature parametree
!<

!> SUBROUTINE: massb_Ice2sea_fixe
!! \author Cat
!! \date 31 oct 2011
!! @note  Routine qui calcule impose un smb fixe
!! et la temperature en surface avec un lapse rate
!! version groenland voir plus tard si convient Antarctique
!! 
!! @note Used modules:
!! @note    - use module3D_phy
!! @note    - use climat_perturb_mod
!<


! version pour l'antarctique ---------------------------------------------------------------
! simple copie nettoyee de massb_anteis_perturb

subroutine massb_Ice2sea_fixe                ! calcule le mass balance 

use module3D_phy
use climat_Grice2sea_mod

implicit none

!     surface temperature et accumulation

Tann (:,:) = Ta0 (:,:) + T_lapse_rate * (S(:,:)-S0(:,:)) 
Ts(:,:)    = Tann(:,:)

! bm est inchange    


!     ablation (fonction de T et acc) est maintenant appelee dans le main
!     et dans steps_time_loop.
!     On fait donc une routine fake ici

!      massb_Ice2sea_fixe est appeles par forclim du module climat_Grice2sea_mod

      
debug_3D(:,:,29)=Tann(:,:)-Ta0(:,:)
debug_3D(:,:,30)=Acc(:,:)-precip(:,:)
!debug_3D(:,:,31)=Acc(:,:)-bmelt(:,:)
    
return
end subroutine massb_Ice2sea_fixe
